/****************************************************************************************

		SceneSize.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	stephane
		Date:	12/21/2006

		Revision History

		when		who			what & why
		==========	==========	======================================================
*****************************************************************************************/

#ifndef __SceneSize__
#define __SceneSize__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MFNumber.h"

//-------------------------------------------

enum EMagnitudeOrder
{
	kMO_Default = -1,
	kMO_Small = 0,
	kMO_First = kMO_Small,
	kMO_Medium,
	kMO_Large,
	kMO_Last = kMO_Large
};

class TMagnitudeManager
{
	public:

		static EUnits			GetBestUnitFromMO(EMagnitudeOrder magOrder);
		static real32			GetScaleFromMO(EMagnitudeOrder	magOrder);
		static EUnits			GetBestUnitFromScale(real32	scale);
		static EMagnitudeOrder	GetMOFromScale(real32 scale);
};


#endif